import axios from 'axios';
const baseUri = '/lakeLibrary/lakeCityDict'


export const list  = `${baseUri}/cityDictPage`
// 添加
export const addCityDict = function (data) {
    return axios.post(`${baseUri}/addCityDict`,data)
}
// 修改
export const modifyCityDict = function (data) {
    return axios.post(`${baseUri}/modifyCityDict`,data)
}
// 删除
export const batchRemove = function (data) {
    return axios.post(`${baseUri}/batchRemove`,data)
}
// 复制
export const cityDictCopy = function (data) {
    console.log('data',data)
    return axios.post(`${baseUri}/cityDictCopy`,data)
}
// 详情
export const queryById = function (column) {
    return axios.get(`${baseUri}/queryById`,{params:{column}})
}
// 获取年份下拉
export const getYear = function () {
    return axios.get(`${baseUri}/getYear`)
}
